(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     13104,        343]
NotebookOptionsPosition[     12194,        318]
NotebookOutlinePosition[     12572,        334]
CellTagsIndexPosition[     12529,        331]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"H", "[", 
    RowBox[{"\[Zeta]_", ",", "n_"}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "^", "n"}], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "^", "n"}], " ", 
       RowBox[{"n", "!"}], " ", 
       RowBox[{"\[Sqrt]", "\[Pi]"}]}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}], ")"}]}], " ", 
    RowBox[{"E", "^", 
     RowBox[{"(", 
      RowBox[{"\[Zeta]", "^", "2"}], ")"}]}], " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", 
         RowBox[{"\[Zeta]", "^", "2"}]}], ")"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Zeta]", ",", "n"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]", "[", 
    RowBox[{"x_", ",", "n_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      SuperscriptBox["x", "2"]}]], 
    RowBox[{"H", "[", 
     RowBox[{"x", ",", "n"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Psi]", "[", 
   RowBox[{"x", ",", "n"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{"%", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<\[Psi]\>\""}], "}"}]}]}], "]"}], ",", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<\[Psi]\>\"", ",", "16", ",", "Bold"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<Energy\>\""}], "}"}], ",", "0", ",", 
     "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.721686911190549*^9, 3.721686913879924*^9}, {
  3.7216869616955223`*^9, 
  3.721686961896429*^9}},ExpressionUUID->"4ca179a4-27d3-4c34-ae58-\
8b94da183330"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["\[Psi]", 16, Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`n$$], 1, "energy"}, 0, 10}}, Typeset`size$$ = {
    540., {173., 180.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$757670$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$757670$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[(-2)^$CellContext`n$$ E^(Rational[1, 2] $CellContext`x^2) 
        Pi^Rational[1, 4] $CellContext`x^(-$CellContext`n$$) (
          2^$CellContext`n$$ Factorial[$CellContext`n$$])^Rational[-1, 2] 
        HypergeometricPFQRegularized[{
           Rational[1, 2], 1}, {
          1 + Rational[1, 2] (-1 - $CellContext`n$$), 1 + 
           Rational[-1, 
              2] $CellContext`n$$}, -$CellContext`x^2], {$CellContext`x, -6, 
         6}, AxesLabel -> {"x", "\[Psi]"}], "Specifications" :> {
        Style["\[Psi]", 16, Bold], {{$CellContext`n$$, 1, "energy"}, 0, 10}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{612., {268., 277.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.721686914280433*^9},ExpressionUUID->"9b3d54d1-47ed-479c-8632-\
0bd2936168ee"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Psi]", "[", 
   RowBox[{"x", ",", "n"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"Abs", "[", "%", "]"}], "2"], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<x\>\"", ",", 
        "\"\<|\[Psi]\!\(\*SuperscriptBox[\(|\), \(2\)]\)\>\""}], "}"}]}]}], 
    "]"}], ",", 
   RowBox[{"Style", "[", 
    RowBox[{
    "\"\<|\[Psi]\!\(\*SuperscriptBox[\(|\), \(2\)]\)\>\"", ",", "16", ",", 
     "Bold"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "2", ",", "\"\<Energy\>\""}], "}"}], ",", "0", ",", 
     "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7216869496547737`*^9, 
  3.721686965762636*^9}},ExpressionUUID->"810f6902-f7b5-477f-b48e-\
3c81937d6083"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["|\[Psi]\!\(\*SuperscriptBox[\(|\), \(2\)]\)", 16, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`n$$], 2, "Energy"}, 0, 10}}, Typeset`size$$ = {
    540., {177., 184.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$764818$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$764818$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[Abs[(-2)^$CellContext`n$$ E^(Rational[1, 2] $CellContext`x^2) 
          Pi^Rational[1, 4] $CellContext`x^(-$CellContext`n$$) (
            2^$CellContext`n$$ Factorial[$CellContext`n$$])^Rational[-1, 2] 
          HypergeometricPFQRegularized[{
             Rational[1, 2], 1}, {
            1 + Rational[1, 2] (-1 - $CellContext`n$$), 1 + 
             Rational[-1, 
                2] $CellContext`n$$}, -$CellContext`x^2]]^2, {$CellContext`x, \
-6, 6}, AxesLabel -> {"x", "|\[Psi]\!\(\*SuperscriptBox[\(|\), \(2\)]\)"}], 
      "Specifications" :> {
        Style[
        "|\[Psi]\!\(\*SuperscriptBox[\(|\), \(2\)]\)", 16, 
         Bold], {{$CellContext`n$$, 2, "Energy"}, 0, 10}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{612., {278., 287.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.7216869547850924`*^9, 
  3.7216869663324747`*^9}},ExpressionUUID->"2fe19ef6-740d-46c6-a73e-\
dbf82142124e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]", "[", 
    RowBox[{"x", ",", "n"}], "]"}], "\[Times]", 
   RowBox[{"\[Psi]", "[", 
    RowBox[{"y", ",", "n"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", "%", "]"}], "^", "2"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<x\>\"", ",", "\"\<y\>\"", ",", 
        "\"\<|\[Psi]\!\(\*SuperscriptBox[\(|\), \(2\)]\)\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "50"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "10", ",", "\"\<Energy\>\""}], "}"}], ",", "0", ",", 
     "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.721687038642207*^9, 3.7216871545911503`*^9}, {
  3.7216871858360157`*^9, 
  3.7216871867746077`*^9}},ExpressionUUID->"30bedbf7-3291-4d2a-a81a-\
c18d3b6ec891"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 10, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 10, "Energy"}, 0, 10}}, Typeset`size$$ = {
    540., {193., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$870100$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 10}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$870100$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot3D[Abs[(-1)^(2 $CellContext`n$$) 2^$CellContext`n$$ 
          E^(Rational[1, 2] $CellContext`x^2 + 
            Rational[1, 2] $CellContext`y^2) 
          Pi^Rational[
            1, 2] $CellContext`x^(-$CellContext`n$$) \
$CellContext`y^(-$CellContext`n$$) Factorial[$CellContext`n$$]^(-1) 
          HypergeometricPFQRegularized[{
             Rational[1, 2], 1}, {
            1 + Rational[1, 2] (-1 - $CellContext`n$$), 1 + 
             Rational[-1, 2] $CellContext`n$$}, -$CellContext`x^2] 
          HypergeometricPFQRegularized[{
             Rational[1, 2], 1}, {
            1 + Rational[1, 2] (-1 - $CellContext`n$$), 1 + 
             Rational[-1, 
                2] $CellContext`n$$}, -$CellContext`y^2]]^2, {$CellContext`x, \
-6, 6}, {$CellContext`y, -6, 6}, 
        AxesLabel -> {
         "x", "y", "|\[Psi]\!\(\*SuperscriptBox[\(|\), \(2\)]\)"}, PlotRange -> 
        All, PlotPoints -> 50], 
      "Specifications" :> {{{$CellContext`n$$, 10, "Energy"}, 0, 10}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{612., {257., 266.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.7216870765625362`*^9, 3.7216871038097744`*^9}, {
   3.7216871405282593`*^9, 3.721687155276568*^9}, 
   3.721687187423189*^9},ExpressionUUID->"aad3fb46-5ba0-4c07-9cd1-\
f69642993cb6"]
}, Open  ]]
},
WindowSize->{1500, 917},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
Magnification:>1.5 Inherited,
FrontEndVersion->"11.2 for Microsoft Windows (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 2035, 65, 151, "Input",ExpressionUUID->"4ca179a4-27d3-4c34-ae58-8b94da183330"],
Cell[2618, 89, 2222, 45, 606, "Output",ExpressionUUID->"9b3d54d1-47ed-479c-8632-0bd2936168ee"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4877, 139, 992, 30, 78, "Input",ExpressionUUID->"810f6902-f7b5-477f-b48e-3c81937d6083"],
Cell[5872, 171, 2407, 49, 593, "Output",ExpressionUUID->"2fe19ef6-740d-46c6-a73e-dbf82142124e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8316, 225, 1208, 34, 112, "Input",ExpressionUUID->"30bedbf7-3291-4d2a-a81a-c18d3b6ec891"],
Cell[9527, 261, 2651, 54, 551, "Output",ExpressionUUID->"aad3fb46-5ba0-4c07-9cd1-f69642993cb6"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

